Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.utils
Class DestructivePQIterator<T>

    java.lang.Object
      org.apache.cassandra.utils.DestructivePQIterator<T>

All Implemented Interfaces:
  java.util.Iterator<T>

    public class DestructivePQIterator<T>

extends java.lang.Object
implements java.util.Iterator<T>

Constructor Summary
`DestructivePQIterator(java.util.PriorityQueue<T> pq)`

Method Summary
`boolean` | `hasNext()`
`T` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DestructivePQIterator

    public DestructivePQIterator(java.util.PriorityQueue<T> pq)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<T>`

### next

    public T next()

  Specified by:
    `next` in interface `java.util.Iterator<T>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<T>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation